Arbor 3: FSM & BT Graph Editor 3.2.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
OutputSlotBase Class Reference

Output slot More...

Inheritance diagram for OutputSlotBase:

## Public Member Functions
void | AddOutputBranch (DataBranch branch)
| Addition of DataBranch. More...
void | RemoveOutputBranch (DataBranch branch)
| Remove DataBranch. More...
int | GetOutputBranchCount ()
| Get count of DataBranch. More...
DataBranch | GetOutputBranch (int index)
| Get DataBranch. More...
bool | IsConnectedOutput (DataBranch branch)
| It judges whether it is connected with DataBranch. More...

## Public Attributes
List< int > | branchIDs = new List<int>()
| List of the destination branch More...
Public Attributes inherited from DataSlot
NodeGraph | nodeGraph
| State machine slot belongs More...
Rect | position
| Position on ArborEditor of slot(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| Slot type More...
Properties inherited from DataSlot
abstract SlotType | slotType`[get]`
| Slot type More...
abstract System.Type | dataType`[get]`
| The type of data stored in the slot More...

## Detailed Description

Output slot

## Member Function Documentation

void AddOutputBranch | ( | DataBranch | branch | ) |

Addition of DataBranch.

Parameters

  branch | DataBranch

Implements IOutputSlot.

DataBranch GetOutputBranch | ( | int | index | ) |

Get DataBranch.

Parameters

  index | Index

Returns
  DataBranch

Implements IOutputSlot.

int GetOutputBranchCount | ( |  | ) |

Get count of DataBranch.

Returns
  Count of DataBranch

Implements IOutputSlot.

bool IsConnectedOutput | ( | DataBranch | branch | ) |

It judges whether it is connected with DataBranch.

Parameters

  branch | DataBranch

Returns
  True if connected, false otherwise.

Implements IOutputSlot.

void RemoveOutputBranch | ( | DataBranch | branch | ) |

Remove DataBranch.

Parameters

  branch | DataBranch

Implements IOutputSlot.

## Member Data Documentation

List<int> branchIDs = new List<int>()

List of the destination branch

## Property Documentation

override SlotType slotType
| get

Slot type